<?php
/**
 * Customizer
 * 
 * @package WordPress
 * @subpackage software-cms
 * @since software-cms 1.0
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function software_cms_customize_register( $wp_customize ) {
	$wp_customize->add_section( new Software_Cms_Upsell_Section($wp_customize,'upsell_section',array(
		'title'            => __( 'Software CMS Pro', 'software-cms' ),
		'button_text'      => __( 'Upgrade Pro', 'software-cms' ),
		'url'              => 'https://www.wpradiant.net/products/cms-wordpress-theme',
		'priority'         => 0,
	)));
}
add_action( 'customize_register', 'software_cms_customize_register' );

/**
 * Enqueue script for custom customize control.
 */
function software_cms_custom_control_scripts() {
	wp_enqueue_script( 'software-cms-custom-controls-js', get_template_directory_uri() . '/assets/js/custom-controls.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-sortable' ), '1.0', true );
	wp_enqueue_style( 'software-cms-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'software_cms_custom_control_scripts' );